Subject: bug#10276: 24.0.92; Filling in Mail mode

From: Glenn Morris <[email-masked]>
Date: Wed, 11 Jan 2012 19:36:41 -0500

Richard Stallman wrote:

> Put the following in a buffer in Mail mode, go to after `1970.', and
> type M-q.  It fills the following paragraph.
>
> ======================================================================
> I was never a regular PBS viewer since I have not had a TV set since
> 1970.
>
> this is a
> test
> ======================================================================

This happens because with point at the start of the "1970." line,
forward-paragraph skip to after "test". This does not happen in
text-mode. It happens in mail-mode because the "1970." line happens to
match paragraph-separate, specifically the element:

(?[0-9]+[.)]+$

Off the top of my head, I don't know what this element is supposed to be
for. It seems to have been added by you in 1998:

http://cvs.savannah.gnu.org/viewvc/emacs/lisp/mail/sendmail.el?root=emacs&r1=1.199&r2=1.200&pathrev=MAIN

1998-07-24  Richard Stallman  <rms AT psilocin.ai.mit.edu>

    * mail/sendmail.el (mail-mode): Add the citation regexp
    to adaptive-fill-regexp after the usual contents.
    But modify the usual contents not to match whitespace alone;
    match that again last.
    Add that citation regexp to paragraph-start and
    paragraph-separate too.

(Message mode does not have such an element.)